## tclx8.4 8.4.1

=== debian/changelog ===
tclx8.4 (8.4.1-3) unstable; urgency=medium

  * New maintainer Debian Tcl/Tk Team (closes: #738905).
  * Add myself to the uploaders list.
  * Convert the source package to 3.0 (quilt) format.
  * Move the development to Salsa and replace the VCS headers accordingly.
  * Bump debhelper version to 10.
  * Remove unnecessary autotolls-dev and dh-autoreconf from the build
    dependencies.
  * Bump standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Feb 2019 13:03:16 +0300

tclx8.4 (8.4.1-2) unstable; urgency=medium

  * Set Maintainer to Debian QA Group as the package is orphaned
  * Add build-* targets (Closes: #822029)
  * Fix typo in description
  * Bump debhelper version to 9
  * Use debhelper env variables instead of declaring them ourselves
  * Use dh_autoreconf to regenerate configure
  * Drop confusing link to BSD license in d/copyright
  * Harden the library with relro and bindnow
  * Add VCS-* fields

 -- Paul Gevers <elbrus@debian.org>  Mon, 18 Jul 2016 21:09:19 +0200

tclx8.4 (8.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #724810).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 05 May 2014 01:51:46 +0200

tclx8.4 (8.4.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS with Tcl 8.6 as a default Tcl version (Closes: #743100).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Apr 2014 07:53:53 +0400

tclx8.4 (8.4.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ported to the default Tcl version instead of deprecated 8.4.
    Closes: #724811.
  * Added patch from upstream bugtracker to generic/tclXprofile.c which
    fixes segfault on [profile on] command. Note that now profiling works
    in tclsh8.4 and tclsh8.5, but still crashes tclsh8.6.
    Closes: #724809.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Oct 2013 09:31:01 +0400

tclx8.4 (8.4.0-3) unstable; urgency=low

  * In pkgIndex.tcl load the library on Tcl >= 8.4.  
    Closes: #538701.

  * Fixed build on GNU/kFreeBSD.
    Closes: #561064.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 10 Jan 2010 10:20:12 +0100

tclx8.4 (8.4.0-2) unstable; urgency=low

  * In pkgIndex.tcl load the library only on Tcl 8.4.
    Closes: #442469.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 06 Apr 2009 12:41:14 +0200

tclx8.4 (8.4.0-1) unstable; urgency=low

  * Official upstream release.

  * Fixed typo in tclconfig/tcl.m4.
    Closes: #353850.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 13 Sep 2006 15:20:28 +0200

tclx8.4 (0.20050517-2) unstable; urgency=low

  * Fixed typo in configure.
    Closes: #353850.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 11 Mar 2006 19:32:16 +0100

tclx8.4 (0.20050517-1) unstable; urgency=low

  * New release from current CVS snapshot.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 17 May 2005 13:45:51 +0200

tclx8.4 (0.20040109-1) unstable; urgency=low

  * Initial release, from current CVS snapshot.
    Closes #177506.

  * Renamed all manpages to <manpage>.3tclx.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  9 Jan 2004 15:54:49 +0100
