=== debian/control ===
Source: tclx8.4
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Team <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: autoconf,
               debhelper (>= 10.0.0),
               dpkg-dev (>= 1.16.1.1),
               tcl-dev
Standards-Version: 4.3.0
Homepage: http://sourceforge.net/projects/tclx/
Vcs-Browser: https://salsa.debian.org/tcltk-team/tclx8.4
Vcs-Git: https://salsa.debian.org/tcltk-team/tclx8.4.git

Package: tclx8.4
Architecture: any
Depends: tcl,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: tclx
Suggests: tclx8.4-doc
Description: Extended Tcl (TclX) - shared library
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 TclX provides additional interfaces to the operating system, and adds many
 new programming constructs, text manipulation tools, and debugging tools.
 .
 TclX 8.4 differs from its predecessors in that it is based more on the
 idea of TclX as an extension to Tcl, and not an alternate environment.
 There is no TkX and no stand-alone shells are built. The tkx*8.4 packages
 therefore don't exist anymore.
 .
 This package includes the shared library and Tcl library files.

Package: tclx8.4-dev
Section: devel
Architecture: any
Depends: tcl-dev,
         tclx8.4 (= ${binary:Version}),
         ${misc:Depends}
Suggests: tclx8.4-doc
Description: Extended Tcl (TclX) - development package
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 TclX provides additional interfaces to the operating system, and adds many
 new programming constructs, text manipulation tools, and debugging tools.
 .
 This package includes development libraries and include files.

Package: tclx8.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: tclx-doc
Conflicts: tclx-doc,
           tkx-doc
Description: Extended Tcl (TclX) - manpages
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 TclX provides additional interfaces to the operating system, and adds many
 new programming constructs, text manipulation tools, and debugging tools.
 .
 This package includes the TclX man pages.
